chevron-thin-right chevron-thin-left brand cancel-circle search youtube-icon google-plus-icon linkedin-icon facebook-icon twitter-icon toolbox download check linkedin phone twitter-old google-plus facebook profile-male chat calendar profile-male
0 votes
We are developing for an embedded 32-bit system. To link typemock libraries to our tests, we would need a 32-bit linux version of Isolator++. Is there an offical download provided somewhere? Thank you in advance and kind regards, Julian.
asked by jccc_erp (1.1k points)

1 Answer

0 votes

Hi Julian,

What distributions of Linux do you have?
Our Linux installer should work for both 32-bit and 64-bit systems.
Did you try to install with no luck?

Please keep me posted.

Cheers,
Alon Sapozhnikov.
Support Specialist.

answered by Alon_TypeMock (7.1k points)

Hi Alon,

thank you very much for the quick response. I should give some more details. We have a 64-bit Debian (KDE Plasma 5) Linux distribution that is used for development. I have installed Isolator++ on this system and the examples are running fine. In this environment we are developing an application for a 32-bit embedded system. Therefore, the compiled application is 32-bit. To test with Isolator++ I would need to link the libisolator.a or libisolator.so to the mentioned application. However, those libraries are 64-bit since they were installed on a 64-bit Linux system with the isolatorpp_4.1.3-0_amd64.deb provided by Typemock. So linking is currently not possible. Is there a way to tell the installer to install a 32-bit version? In the end, the unit test will run under the 64-bit Linux system but with the 32-bit application.

Cheers,
Julian

Hi Julian,

Now I understand the question, thank you for the detailed information.

Unfortunately, we don't currently have support for 32-bit distributions as we haven't had any requests for it until now.
I'm putting this request in our RoadMap but I can't give an estimation about the time it will take.

Cheers,
Alon Sapozhnikov.
Support Specialist.

 

I see, thanks for your efforts concerning this issue!

For a test run I achieved to compile our project as 64-bit version and successfully used Isolator++ (advantages look really promising). However, the final build will be 32-bit (the whole toolchain and CI is configured therefore).

I saw that you are advertising Works on Windows 32 and 64 bit with Microsoft VC compilers. So I guess 32-bit version exists only for Windows and not Linux, correct? Thank you very much.

Regards,
Julian

Hi Julian,

You are correct, we don't have a specific 32 bit installer, but our windows installer gives the ability to build and run 32 bit tests too.

Cheers,
Alon Sapozhnikov.
Support Specialist.

...